Subject: draft-ietf-ppvpn-rfc2547bis-01 Jan 2002

From: Sachin Kalra <[email-masked]>
Date: Mon, 11 Mar 2002 17:51:13 -0500

Hi:

I would appreciate if anybody can help me understand the following.

While using BGP/MPLS VPNs:

1. Whenever a packet arrives at Ingress PE, there is a VRF associated with 
the interface from which packet arrived. My understanding is that as VRF 
table already has "Next Hop", "Bottom Label", and "Top Label", so it should 
just stack the two labels and forward the packet to next IGP Hop. So this 
should mean that we do not need any "FTN: FEC-to-NHLFE" at ingress PE. Is 
this true?

2. Now, whenever packet reaches the Egress PE, it has one label attached to 
it. So how does the Egress PE know the outgoing interface for the packet? 
Should it look for corresponding label in all the VRFs that it has, or 
should it have an "ILM: Incoming Label Map" for this Inner Label?

Thanks for your help,
Sachin Kalra